# ik_ESoundEngineOptions.h File Reference

Go to the source code of this file.

## Namespaces
namespace | irrklang

| Everything in the irrKlang Sound Engine can be found in this namespace.
## Enumerations
enum | irrklang::E_SOUND_ENGINE_OPTIONS { irrklang::ESEO_MULTI_THREADED = 0x01, irrklang::ESEO_MUTE_IF_NOT_FOCUSED = 0x02, irrklang::ESEO_LOAD_PLUGINS = 0x04, irrklang::ESEO_USE_3D_BUFFERS = 0x08, irrklang::ESEO_PRINT_DEBUG_INFO_TO_DEBUGGER = 0x10, irrklang::ESEO_PRINT_DEBUG_INFO_TO_STDOUT = 0x20, irrklang::ESEO_LINEAR_ROLLOFF = 0x40, irrklang::ESEO_DEFAULT_OPTIONS = ESEO_MULTI_THREADED | ESEO_LOAD_PLUGINS | ESEO_USE_3D_BUFFERS | ESEO_PRINT_DEBUG_INFO_TO_DEBUGGER | ESEO_PRINT_DEBUG_INFO_TO_STDOUT, irrklang::ESEO_FORCE_32_BIT = 0x7fffffff }
| An enumeration for all options for starting up the sound engine. More...

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)